<?php include 'header.php' ?>
<?php
include 'config.php';
$sql = "SELECT * FROM logo";
$result = mysqli_query($db, $sql);

if (mysqli_num_rows($result) > 0) {
    $getAllSlider = mysqli_fetch_all($result, MYSQLI_ASSOC);
} else {
    $getAllSlider = array();
}
// Insertion Logic
if (isset($_POST['saveSliderBtn'])) {
    // Check if a row already exists in the logo table
    $checkSql = "SELECT COUNT(*) FROM logo";
    $checkResult = mysqli_query($db, $checkSql);
    $existingCount = mysqli_fetch_row($checkResult)[0];

    $idEdit = isset($_POST['idEdit']) ? $_POST['idEdit'] : null;

    if ($existingCount == 0) {
        
        if (!empty($_FILES['img']['name'])) {
            $extensions = array("jpg", "jpeg", "png", "gif", "JPG", "PNG", "JPEG", "webp", "WEBP");
            $target_dir = $DOC_ROOT . "assets/logo";
            $tmpFilePath = $_FILES['img']['tmp_name'];
            $target_file = $target_dir . basename($_FILES["img"]["name"]);
            $imageFileType = pathinfo($target_file, PATHINFO_EXTENSION);

            if ($tmpFilePath != "" && in_array($imageFileType, $extensions)) {
                $data = time();
                $filename = $data . '_' . $_FILES['img']['name'];
                $uploadPath = $target_dir . '/' . $filename;

                if (move_uploaded_file($tmpFilePath, $uploadPath)) {
                    $siteName = isset($_POST['sitename']) ? $_POST['sitename'] : '';

                    // Handle Favicon Upload
                    if (!empty($_FILES['favicon']['name'])) {
                        $faviconTargetDir = $DOC_ROOT . "assets/logo";
                        $faviconTmpFilePath = $_FILES['favicon']['tmp_name'];
                        $faviconFilename = $data . '_favicon_' . $_FILES['favicon']['name'];
                        $faviconUploadPath = $faviconTargetDir . '/' . $faviconFilename;

                        if (move_uploaded_file($faviconTmpFilePath, $faviconUploadPath)) { 
                            // Insert into Database
                            $insertSql = "INSERT INTO logo (sitename, favicon, image, added_on) VALUES (?, ?, ?, current_timestamp())";
                            $stmt = mysqli_prepare($db, $insertSql);
                            mysqli_stmt_bind_param($stmt, "sss", $siteName, $filename, $faviconFilename);

                            if (mysqli_stmt_execute($stmt)) {
                                echo '<script>alert("Logo and Favicon added successfully");window.location.href="add-logo.php"</script>';
                            } else {
                                echo '<script>alert("Something went wrong, Please try again.");window.location.href="add-logo.php"</script>';
                            }

                            // Close the statement
                            mysqli_stmt_close($stmt);
                        }
                    } else {
                        
                        $insertSql = "INSERT INTO logo (sitename, image, added_on) VALUES (?, ?, current_timestamp())";
                        $stmt = mysqli_prepare($db, $insertSql);
                        mysqli_stmt_bind_param($stmt, "ss", $siteName, $filename);

                        if (mysqli_stmt_execute($stmt)) {
                            echo '<script>alert("Logo added successfully");window.location.href="add-logo.php"</script>';
                        } else {
                            echo '<script>alert("Something went wrong, Please try again.");window.location.href="add-logo.php"</script>';
                        }

                        // Close the statement
                        mysqli_stmt_close($stmt);
                    }
                }
            } else {
                echo '<script>alert("Oops! The size limit for images is 5 MB. Reduce the file size and try again.");window.location.href="add-logo.php"</script>';
            }
        } else {
            echo '<script>alert("Please select a Logo Image.");window.location.href="add-logo.php"</script>';
        }
    } else {
        // Row exists, alert the message
        echo '<script>alert("Logo already exists. Delete The Logo And Insert New One.");</script>';
    }
}

// Deletion Logic
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['delete']) && isset($_GET['id'])) {
    $idToDelete = $_GET['id'];

    $stmt = $db->prepare("SELECT image, favicon FROM logo WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);
    $stmt->execute();
    $stmt->bind_result($imageToDelete, $faviconToDelete);
    $stmt->fetch();
    $stmt->close();

    $stmt = $db->prepare("DELETE FROM logo WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);

    if (!$stmt) {
        echo "Error: " . mysqli_error($db);
    }

    if ($stmt->execute()) {
        $targetDir = $DOC_ROOT . "assets/logo/";

        $logoFileToDelete = $targetDir . $imageToDelete;
        if (file_exists($logoFileToDelete)) {
            unlink($logoFileToDelete);
        }

        $faviconFileToDelete = $targetDir . $faviconToDelete;
        if (file_exists($faviconFileToDelete)) {
            unlink($faviconFileToDelete);
        }

        echo '<script>
                alert("Record have Been Successfully Deleted");
                setTimeout(function() {
                  window.location.href = "add-logo.php";
                }, 100); 
              </script>';
    } else {
        echo "Error deleting record: " . $stmt->error;
    }

    $stmt->close();
}


?>
<!-- Content wrapper -->
<div class="content-wrapper">
    <!-- Content -->
    <div class="container-fluid">
        <div class="row">

            <div class="col-md-12">
                <div class="card card-primary card-outline">
                    <div class="card-header" data-card-widget="collapse">
                        <h3 class="card-title">Add Logo</h3>

                        <div class="card-tools">
                            <button type="button" class="btn btn-tool">
                                <i class="fas fa-plus"></i>
                            </button>
                        </div>
                    </div>
                    <div class="card-body p-4" style="display: block;;">
                        <form action="" method="post" enctype="multipart/form-data">
                            <input type="hidden" name="idEdit" value="">
                            <div class="row">
                                 <div class="form-group col-md-4">
                                    <label>Logo</label>
                                    <input type="file" class="form-control" name="favicon" required accept="image/*">
                                </div>
                                <div class="form-group col-md-4">
                                    <label>Favicon </label>
                                    <input type="file" class="form-control" name="img"
                                        required accept="image/*" id="sliderimg">
                                </div>

                                
                                <div class="form-group col-md-4">
                                    <label>Site Name</label>
                                    <input type="text" class="form-control" name="sitename" onchange="favImage(this)"
                                        required accept="image/*">
                                </div>
                               





                            </div>
                    </div>
                    <div class="card-footer">
                        <button type="submit" name="saveSliderBtn" class="btn btn-info float-right"><i
                                class="fa fa-floppy-o">
                            </i> Save</button>
                        <a href="add-logo.php" class="btn btn-default"><i class="fa fa-refresh"> </i> Reset</a>
                    </div>
                    </form>
                </div>



                <div class="card card-primary card-outline">
                    <div class="card-header">
                        <h3 class="card-title">View Logo</h3>
                    </div>
                    <form action="" method="post" enctype="multipart/form-data">
                        <div class="card-body table-responsive p-0" style="min-height: 300px;">
                            <table class="table table-head-fixed text-nowrap">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Logo</th>
                                        <th>Favicon</th>
                                        <th>Site Name</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $iiDD = 1;
                                    foreach ($getAllSlider as $key => $values) { ?>
                                        <tr>
                                            <td>
                                                <?php echo $iiDD++; ?>
                                            </td>
                                            <td>
                                                <img src="assets/logo/<?php echo $values['image']; ?>" alt="" width='55px'>
                                            </td>
                                            <td>
                                                <img src="assets/logo/<?php echo $values['favicon']; ?>" alt="" width='35px'>
                                            </td>
                                            <td>
                                                <?php echo $values['sitename']; ?>
                                            </td>



                                            <td>
                                                <a class="btn btn-danger deleteitems"
                                                            href="add-logo.php?id=<?php echo $values['id']; ?>&delete=true"
                                                            title="Delete"><i class="bx bx-trash me-1"></i> Delete</a>
                                            </td>

                                        </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    </form>
                </div>

            </div>
        </div>
        <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
        <script>
            function galleryImage(input) {
                if (input.files && input.files[0]) {
                    var reader = new FileReader();
                    reader.onload = function (e) {
                        $('#gall_img')
                            .attr('src', e.target.result);
                    };
                    reader.readAsDataURL(input.files[0]);
                }
            }

            function applyFileValidation(inputId, maxFileSize, allowedExtensions) {
                var fileInput = document.getElementById(inputId);

                fileInput.addEventListener('change', function () {
                    if (fileInput.files.length > 0) {
                        var file = fileInput.files[0];
                        var fileSize = file.size;
                        var fileExtension = file.name.split('.').pop().toLowerCase();

                        if (fileSize > maxFileSize) {
                            alert('File size exceeds ' + (maxFileSize / 1024) + 'KB. Please choose a smaller file.');
                            fileInput.value = '';
                        } else if (allowedExtensions.indexOf(fileExtension) === -1) {
                            alert('Invalid file type.');
                            fileInput.value = '';
                        }
                    }
                });
            }

            applyFileValidation('sliderimg', 5 * 1024 * 1024, ['jpg', 'jpeg', 'png', 'gif', 'JPG', 'PNG', 'JPEG', 'webp', 'WEBP']);

            const deleteItems = document.querySelectorAll('.deleteitems');
            deleteItems.forEach(function (element) {
                element.addEventListener('click', function (event) {
                    event.preventDefault();
                    return swal({
                        title: "Are you sure?",
                        text: "Once deleted, you will not be able to recover this Data!",
                        icon: "warning",
                        buttons: true,
                        dangerMode: true,
                    }).then((willDelete) => {
                        if (willDelete) {
                            window.location.href = this.getAttribute("href");
                        } else {
                            swal("Your Data is safe!");
                        }
                    });
                });
            });

        </script>
        <?php include 'footer.php' ?>