<?php
include 'header.php';
include 'config.php';

// insertion logic
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['submit'])) {
    // Handle file uploads
    $uploadFolder = 'assets/gallery/';
    $imageNames = [];

    // Loop through each file
    foreach ($_FILES['image']['tmp_name'] as $key => $tmp_name) {
        // Check if the file is uploaded successfully
        if (is_uploaded_file($tmp_name)) {
            $uploadFile = $uploadFolder . basename($_FILES['image']['name'][$key]);

            // Move the file to the specified folder
            if (move_uploaded_file($tmp_name, $uploadFile)) {
                $imageNames[] = $_FILES['image']['name'][$key];
            } else {
                echo "Error uploading file " . $_FILES['image']['name'][$key];
            }
        } else {
            echo "Error in file upload for " . $_FILES['image']['name'][$key];
        }
    }

    foreach ($imageNames as $imageName) {
        $stmt = $db->prepare("INSERT INTO gallery (image) VALUES (?)");
        $stmt->bind_param("s", $imageName);

        if ($stmt->execute()) {
            echo "<script>
            alert('Gallery have been added successfully!')
                window.location.href = 'addGallery.php';
        </script>";
        } else {
            echo "Error: " . $stmt->error;
        }

        $stmt->close();
    }
}


// Check if we're deleting a team member
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['delete']) && isset($_GET['id'])) {
    $idToDelete = $_GET['id'];

    // Delete the associated image file
    $targetImageToDelete = $DOC_ROOT . "assets/gallery/" . $_GET['image'];
    if (file_exists($targetImageToDelete)) {
        unlink($targetImageToDelete);
    }

    $stmt = $db->prepare("DELETE FROM gallery WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);

    if ($stmt->execute()) {
        // Image deleted successfully, trigger SweetAlert
        echo '<script>
            alert( "Gallery have been deleted successfully!")
                window.location.href = "addGallery.php";
        </script>';
    } else {
        // Error occurred, show error message
        echo '<script>
            alert("Error deleting Gallery.")
                window.location.href = "addGallery.php";
        </script>';
    }

    $stmt->close();
}

?>
<div class="content-wrapper">
    <div class="p-3">

        <div class="col-xl">
            <h4 class="p-3 mb-4">
                <span class="text-muted fw-light">Home/</span> Create gallery
            </h4>
            <div class="col-5 my-4">
                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#createCategoryModal">
                    Add Gallery
                </button>
            </div>

            <!-- Modal -->
            <div class="modal fade" id="createCategoryModal" tabindex="-1" role="dialog"
                aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">Create Gallery</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>

                        <!-- Modal Body -->
                        <div class="modal-body">
                            <form action="" method="post" enctype="multipart/form-data">
                                <div class="row">
                                    <div class="mb-3 col-md-12">
                                        <label for="formFile" class="form-label">Slider Image (Max Size 5Mb)</label>
                                        <input class="form-control" type="file" id="image" name="image[]" accept="image/*" required multiple>
                                    </div>
                                </div>

                                <div class="col-12 text-center mt-3">
                                    <button name="submit" type="submit" class="btn btn-primary">Submit</button>
                                </div>
                            </form>


                        </div>
                    </div>
                </div>
            </div>


            <div class="table-responsive">

                <table id="example" class="table table-striped table-bordered">
                    <thead>
                        <tr>
                            <th>S.No.</th>
                            <th>Image</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $iiDD = 1;
                        $sql = "SELECT * FROM gallery";
                        $result = mysqli_query($db, $sql);

                        if (mysqli_num_rows($result) > 0) {
                            $getAllTeamMembers = mysqli_fetch_all($result, MYSQLI_ASSOC);

                            foreach ($getAllTeamMembers as $key => $values) {
                                ?>
                                <tr>
                                    <td>
                                        <?php echo $iiDD++; ?>
                                    </td>
                                    <td>
                                        <img src="assets/gallery/<?php echo $values['image']; ?>" alt="" width='80'>
                                    </td>
                                    <td>
                                        <a class="dropdown-item deleteitems"
                                            href="addGallery.php?id=<?php echo $values['id']; ?>&delete=true&image=<?php echo $values['image']; ?>"
                                            title="Delete"><i class="bx bx-trash me-1"></i> Delete</a>
                                    </td>

                                </tr>
                                <?php
                            }
                        } else {
                            echo '<tr><td colspan="5">No Gallery Records found.</td></tr>';
                        }
                        ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script>
        $(document).ready(function () {

            $(document).on('change', 'input[type="file"]', function () {
                var fileInput = this;
                var maxSize = 5 * 1024 * 1024;

                if (fileInput.files.length > 0) {
                    var file = fileInput.files[0];
                    if (file.size > maxSize) {
                        alert('Image size exceeds 5Mb. Please choose a smaller image.');
                        fileInput.value = '';
                    }
                }
            });
        });

        const deleteItems = document.querySelectorAll('.deleteitems');
        deleteItems.forEach(function (element) {
            element.addEventListener('click', function (event) {
                event.preventDefault();
                return swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this Data!",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                }).then((willDelete) => {
                    if (willDelete) {
                        window.location.href = this.getAttribute("href");
                    } else {
                        swal("Your Data is safe!");
                    }
                });
            });
        });

    </script>

    <?php include 'footer.php' ?>