<?php
include 'header.php';
include 'config.php';


// Insertion logic
if (isset($_POST['submit'])) {
    // Get data from the form
    $studentname = $_POST['studentname'];

    $checkDuplicateSql = "SELECT COUNT(*) FROM result WHERE studentname = ?";
    $checkDuplicateStmt = $db->prepare($checkDuplicateSql);

    if ($checkDuplicateStmt) {
        $checkDuplicateStmt->bind_param("s", $studentname);
        $checkDuplicateStmt->execute();
        $checkDuplicateStmt->bind_result($count);
        $checkDuplicateStmt->fetch();
        $checkDuplicateStmt->close(); 

        if ($count > 0) {
            echo '<script>alert("Result for ' . $studentname . ' is already generated.");</script>';
        } else {
           
            $insertSql = "INSERT INTO result (studentname) VALUES (?)";
            $insertStmt = $db->prepare($insertSql);

            if ($insertStmt) {
                $insertStmt->bind_param("s", $studentname);

                if ($insertStmt->execute()) {
                    echo '<script>
                        alert("Result Has Been Created.");
                        var newTab = window.open("result-student.php?idresult=' . $studentname . '", "_blank");
                        if (newTab) {
                            newTab.focus(); // Focus on the new tab
                        } else {
                            window.location.href = "result-student.php?idresult=' . $studentname . '";
                        }
                    </script>';
                } else {
                    echo 'Error executing the statement: ' . $insertStmt->error . ' SQL: ' . $insertSql;
                }

                $insertStmt->close();
            } else {
                echo "Error in the statement: " . $db->error;
            }
        }
    } else {
        echo "Error in the statement for duplicate check: " . $db->error;
    }
}


// Deletion Logic
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['delete']) && isset($_GET['id'])) {
    $idToDelete = $_GET['id'];


    $stmt = $db->prepare("DELETE FROM result WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);

    if ($stmt->execute()) {

        echo '<script>
            alert( "Result have been deleted successfully!")
                window.location.href = "create-result.php";
        </script>';
    } else {
        // Error occurred, show error message
        echo '<script>
            alert("Error deleting Result.")
                window.location.href = "create-result.php";
        </script>';
    }

    $stmt->close();
}


// Fetch data from the "posts" table
$query = "SELECT * FROM result ORDER BY id DESC";
$result = mysqli_query($db, $query);

// Check if the query was successful
if (!$result) {
    die("Query failed: " . mysqli_error($db));
}

$sqlstudent = "SELECT * FROM students";
$resultstudent = $db->query($sqlstudent);
?>
<div class="content-wrapper">
    <div class="col-xl">

        <div class="card mb-4">
            <div class="card-header d-flex justify-content-center align-items-center">
                <h5 class="mb-0">Create Result</h5>
            </div>
            <div class="card-body">
                <form action="" method="post">
                    <div class="row">

                        <div class="col-md-12">
                            <div class="mb-3">
                                <label for="basic-icon-default-fullname">Students</label>
                                <select name="studentname" class="js-example-basic-single">
                                    <option hidden>Select Student</option>
                                    <?php
                                    while ($roww = $resultstudent->fetch_assoc()) {
                                        echo '<option value="' . $roww['regno'] . '">' . $roww['name'] . ' ( ' . $roww['regno'] . ' )</option>';
                                    }
                                    ?>
                                </select>
                            </div>
                        </div>

                    </div>

                    <button type="submit" class="btn btn-primary" name="submit">Generate</button>
                </form>

            </div>
        </div>
        <div class="table-responsive">

            <table id="example" class="table table-striped table-bordered">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Student Name</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $increment = 1;
                    foreach ($result as $row) { ?>
                        <tr>
                            <td>
                                <?php echo $increment; ?>
                            </td>

                            <?php

                            $registrationNumber = $row['studentname'];

                            $studentQuery = "SELECT name FROM students WHERE regno = ?";
                            $studentStmt = $db->prepare($studentQuery);
                            $studentStmt->bind_param("s", $registrationNumber);
                            $studentStmt->execute();
                            $studentStmt->bind_result($studentName);
                            $studentStmt->fetch();
                            $studentStmt->close();
                            ?>

                            <td>
                                <?php echo $studentName; ?> (
                                <?php echo $row['studentname']; ?>)
                            </td>



                            <td>
                                <div class="dropdown">
                                    <button type="button" class="btn p-0 dropdown-toggle hide-arrow"
                                        data-bs-toggle="dropdown"><i class="bx bx-dots-vertical-rounded"></i></button>
                                    <div class="dropdown-menu">
                                        <a href="result-student.php?idresult=<?php echo $row['studentname']; ?>"
                                            class="dropdown-item" title="Generate Result" target="_blank"><i
                                                class="bx bx-cog me-1"></i>View Result</a>

                                        <a class="dropdown-item deleteitems"
                                            href="create-result.php?id=<?php echo $row['id']; ?>&delete=true"
                                            title="Delete"><i class="bx bx-trash me-1"></i>Delete</a>
                                    </div>
                                </div>
                            </td>

                        </tr>
                        <?php $increment++;
                    } ?>
                </tbody>
            </table>
        </div>

    </div>

    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>

    <script>
        document.addEventListener('DOMContentLoaded', function () {
            const deleteItems = document.querySelectorAll('.deleteitems');
            deleteItems.forEach(function (element) {
                element.addEventListener('click', function (event) {
                    event.preventDefault();
                    const deleteUrl = this.getAttribute("href");
                    swal({
                        title: "Are you sure?",
                        text: "Once deleted, you will not be able to recover this Data!",
                        icon: "warning",
                        buttons: true,
                        dangerMode: true,
                    }).then((willDelete) => {
                        if (willDelete) {
                            window.location.href = deleteUrl;
                        } else {
                            swal("Your Data is safe!");
                        }
                    });
                });
            });
        });
    </script>

    <?php include 'footer.php' ?>