<?php
include 'header.php';
include 'config.php';

function getCount($db, $table) {
    $sql = "SELECT COUNT(*) AS count FROM $table";
    $result = $db->query($sql);
    if ($result) {
        $row = $result->fetch_assoc();
        return $row['count'];
    } else {
        return 0;
    }
}
$testimonialCount = getCount($db, "testimonial");
$contactCount = getCount($db, "contact");
$studentsCount = getCount($db, "students");
$callbackCount = getCount($db, "callback");
$teamCount = getCount($db, "team");
$sliderCount = getCount($db, "slider");
$toppersCount = getCount($db, "toppers");
$coursesCount = getCount($db, "courses");
$menusCount = getCount($db, "menus");
$subjectsCount = getCount($db, "subjects");
$galleryCount = getCount($db, "gallery");
$awardCount = getCount($db, "award");
$videoCount = getCount($db, "video");

$db->close();
?>
        <!-- Content wrapper -->
        <div class="content-wrapper">
          <!-- Content -->

          <div class="container-xxl flex-grow-1 container-p-y">
                <div class="row">
                <div class="col-md-12 mb-4 order-0">
                  <div class="card">
                    <div class="d-flex align-items-end row">
                      <div class="col-sm-7">
                        <div class="card-body">
                          <h5 class="card-title text-primary">
                            Hello Admin! 🎉
                          </h5>
                          <p class="mb-4">
                            <span class="fw-medium"></span>
                            Manage Your Works Here.
                          </p>

                          <a
                            href="student.php"
                            class="btn btn-sm btn-outline-primary"
                            >Add Students</a
                          >
                        </div>
                      </div>
                      <div class="col-sm-5 text-center text-sm-left">
                        <div class="card-body pb-0 px-0 px-md-4">
                          <img
                            src="assets/img/illustrations/man-with-laptop-light.png"
                            height="140"
                            alt="View Badge User"
                            data-app-dark-img="illustrations/man-with-laptop-dark.png"
                            data-app-light-img="illustrations/man-with-laptop-light.html"
                          />
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                  <div class="col-md-2 mb-4">
                    <div class="card" style="background:mintcream">
                      <div class="card-body">
                        <div class="card-title d-flex align-items-start justify-content-between">
                          <div class="avatar flex-shrink-0">
                            <img src="assets/img/icons/unicons/wallet-info.png" alt="Credit Card" class="rounded" />
                          </div>
                          <div class="dropdown">
                            <button class="btn p-0" type="button" id="cardOpt6" data-bs-toggle="dropdown"
                              aria-haspopup="true" aria-expanded="false">
                              <i class="bx bx-dots-vertical-rounded"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="cardOpt6">
                              <a class="dropdown-item" href="view-students.php">View More</a>
                            </div>
                          </div>
                        </div>
                        <span>Students</span>
                        <h3 class="card-title text-nowrap mb-1"><?php echo $studentsCount; ?></h3>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-2 mb-4">
                    <div class="card" style="background:#a5ff5070">
                      <div class="card-body">
                        <div class="card-title d-flex align-items-start justify-content-between">
                          <div class="avatar flex-shrink-0">
                            <img src="assets/img/icons/unicons/wallet-info.png" alt="Credit Card" class="rounded" />
                          </div>
                          <div class="dropdown">
                            <button class="btn p-0" type="button" id="cardOpt6" data-bs-toggle="dropdown"
                              aria-haspopup="true" aria-expanded="false">
                              <i class="bx bx-dots-vertical-rounded"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="cardOpt6">
                              <a class="dropdown-item" href="add-team.php">View More</a>
                            </div>
                          </div>
                        </div>
                        <span>Teams</span>
                        <h3 class="card-title text-nowrap mb-1"><?php echo $teamCount; ?></h3>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-2 mb-4">
                    <div class="card" style="background:#8850ff70">
                      <div class="card-body">
                        <div class="card-title d-flex align-items-start justify-content-between">
                          <div class="avatar flex-shrink-0">
                            <img src="assets/img/icons/unicons/wallet-info.png" alt="Credit Card" class="rounded" />
                          </div>
                          <div class="dropdown">
                            <button class="btn p-0" type="button" id="cardOpt6" data-bs-toggle="dropdown"
                              aria-haspopup="true" aria-expanded="false">
                              <i class="bx bx-dots-vertical-rounded"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="cardOpt6">
                              <a class="dropdown-item" href="add-topstudents.php">View More</a>
                            </div>
                          </div>
                        </div>
                        <span>Our Toppers</span>
                        <h3 class="card-title text-nowrap mb-1"><?php echo $toppersCount; ?></h3>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-2 mb-4">
                    <div class="card" style="background:#50cdff70">
                      <div class="card-body">
                        <div class="card-title d-flex align-items-start justify-content-between">
                          <div class="avatar flex-shrink-0">
                            <img src="assets/img/icons/unicons/wallet-info.png" alt="Credit Card" class="rounded" />
                          </div>
                          <div class="dropdown">
                            <button class="btn p-0" type="button" id="cardOpt6" data-bs-toggle="dropdown"
                              aria-haspopup="true" aria-expanded="false">
                              <i class="bx bx-dots-vertical-rounded"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="cardOpt6">
                              <a class="dropdown-item" href="create-menu.php">View More</a>
                            </div>
                          </div>
                        </div>
                        <span>Menu</span>
                        <h3 class="card-title text-nowrap mb-1"><?php echo $menusCount; ?></h3>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-2 mb-4">
                    <div class="card" style="background:#c8c8e8">
                      <div class="card-body">
                        <div class="card-title d-flex align-items-start justify-content-between">
                          <div class="avatar flex-shrink-0">
                            <img src="assets/img/icons/unicons/wallet-info.png" alt="Credit Card" class="rounded" />
                          </div>
                          <div class="dropdown">
                            <button class="btn p-0" type="button" id="cardOpt6" data-bs-toggle="dropdown"
                              aria-haspopup="true" aria-expanded="false">
                              <i class="bx bx-dots-vertical-rounded"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="cardOpt6">
                              <a class="dropdown-item" href="add-awards.php">View More</a>
                            </div>
                          </div>
                        </div>
                        <span>Award</span>
                        <h3 class="card-title text-nowrap mb-1"><?php echo $awardCount; ?></h3>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-2 mb-4">
                    <div class="card" style="background:#4adacb8a">
                      <div class="card-body">
                        <div class="card-title d-flex align-items-start justify-content-between">
                          <div class="avatar flex-shrink-0">
                            <img src="assets/img/icons/unicons/wallet-info.png" alt="Credit Card" class="rounded" />
                          </div>
                          <div class="dropdown">
                            <button class="btn p-0" type="button" id="cardOpt6" data-bs-toggle="dropdown"
                              aria-haspopup="true" aria-expanded="false">
                              <i class="bx bx-dots-vertical-rounded"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="cardOpt6">
                              <a class="dropdown-item" href="add-course.php">View More</a>
                            </div>
                          </div>
                        </div>
                        <span>Courses</span>
                        <h3 class="card-title text-nowrap mb-1"><?php echo $coursesCount; ?></h3>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-2 mb-4">
                    <div class="card" style="background:#a9a9a99e">
                      <div class="card-body">
                        <div class="card-title d-flex align-items-start justify-content-between">
                          <div class="avatar flex-shrink-0">
                            <img src="assets/img/icons/unicons/wallet-info.png" alt="Credit Card" class="rounded" />
                          </div>
                          <div class="dropdown">
                            <button class="btn p-0" type="button" id="cardOpt6" data-bs-toggle="dropdown"
                              aria-haspopup="true" aria-expanded="false">
                              <i class="bx bx-dots-vertical-rounded"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="cardOpt6">
                              <a class="dropdown-item" href="slider.php">View More</a>
                            </div>
                          </div>
                        </div>
                        <span>Sliders</span>
                        <h3 class="card-title text-nowrap mb-1"><?php echo $sliderCount; ?></h3>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-2 mb-4">
                    <div class="card" style="background:#ff50ee70">
                      <div class="card-body">
                        <div class="card-title d-flex align-items-start justify-content-between">
                          <div class="avatar flex-shrink-0">
                            <img src="assets/img/icons/unicons/wallet-info.png" alt="Credit Card" class="rounded" />
                          </div>
                          <div class="dropdown">
                            <button class="btn p-0" type="button" id="cardOpt6" data-bs-toggle="dropdown"
                              aria-haspopup="true" aria-expanded="false">
                              <i class="bx bx-dots-vertical-rounded"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="cardOpt6">
                              <a class="dropdown-item" href="addVideo.php">View More</a>
                            </div>
                          </div>
                        </div>
                        <span>Videos</span>
                        <h3 class="card-title text-nowrap mb-1"><?php echo $videoCount; ?></h3>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-2 mb-4">
                    <div class="card" style="background:#fffe5070">
                      <div class="card-body">
                        <div class="card-title d-flex align-items-start justify-content-between">
                          <div class="avatar flex-shrink-0">
                            <img src="assets/img/icons/unicons/wallet-info.png" alt="Credit Card" class="rounded" />
                          </div>
                          <div class="dropdown">
                            <button class="btn p-0" type="button" id="cardOpt6" data-bs-toggle="dropdown"
                              aria-haspopup="true" aria-expanded="false">
                              <i class="bx bx-dots-vertical-rounded"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="cardOpt6">
                              <a class="dropdown-item" href="addGallery.php">View More</a>
                            </div>
                          </div>
                        </div>
                        <span>Gallery</span>
                        <h3 class="card-title text-nowrap mb-1"><?php echo $galleryCount; ?></h3>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-2 mb-4">
                    <div class="card" style="background:#ff7f5070">
                      <div class="card-body">
                        <div class="card-title d-flex align-items-start justify-content-between">
                          <div class="avatar flex-shrink-0">
                            <img src="assets/img/icons/unicons/wallet-info.png" alt="Credit Card" class="rounded" />
                          </div>
                          <div class="dropdown">
                            <button class="btn p-0" type="button" id="cardOpt6" data-bs-toggle="dropdown"
                              aria-haspopup="true" aria-expanded="false">
                              <i class="bx bx-dots-vertical-rounded"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="cardOpt6">
                              <a class="dropdown-item" href="addtestimonial.php">View More</a>
                            </div>
                          </div>
                        </div>
                        <span>Testmonials</span>
                        <h3 class="card-title text-nowrap mb-1"><?php echo $testimonialCount; ?></h3>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-2 mb-4">
                    <div class="card" style="background:#7fff0036">
                      <div class="card-body">
                        <div class="card-title d-flex align-items-start justify-content-between">
                          <div class="avatar flex-shrink-0">
                            <img src="assets/img/icons/unicons/wallet-info.png" alt="Credit Card" class="rounded" />
                          </div>
                          <div class="dropdown">
                            <button class="btn p-0" type="button" id="cardOpt6" data-bs-toggle="dropdown"
                              aria-haspopup="true" aria-expanded="false">
                              <i class="bx bx-dots-vertical-rounded"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="cardOpt6">
                              <a class="dropdown-item" href="viewcontactenquiry.php">View More</a>
                            </div>
                          </div>
                        </div>
                        <span>Contact Enquiry</span>
                        <h3 class="card-title text-nowrap mb-1"><?php echo $contactCount; ?></h3>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-2 mb-4">
                    <div class="card" style="background:#eadbc8f0">
                      <div class="card-body">
                        <div class="card-title d-flex align-items-start justify-content-between">
                          <div class="avatar flex-shrink-0">
                            <img src="assets/img/icons/unicons/wallet-info.png" alt="Credit Card" class="rounded" />
                          </div>
                          <div class="dropdown">
                            <button class="btn p-0" type="button" id="cardOpt6" data-bs-toggle="dropdown"
                              aria-haspopup="true" aria-expanded="false">
                              <i class="bx bx-dots-vertical-rounded"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="cardOpt6">
                              <a class="dropdown-item" href="viewenrollment.php">View More</a>
                            </div>
                          </div>
                        </div>
                        <span>Enrollment Enquiry</span>
                        <h3 class="card-title text-nowrap mb-1"><?php echo $callbackCount; ?></h3>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-2 mb-4">
                    <div class="card" style="background:#007bff69">
                      <div class="card-body">
                        <div class="card-title d-flex align-items-start justify-content-between">
                          <div class="avatar flex-shrink-0">
                            <img src="assets/img/icons/unicons/wallet-info.png" alt="Credit Card" class="rounded" />
                          </div>
                          <div class="dropdown">
                            <button class="btn p-0" type="button" id="cardOpt6" data-bs-toggle="dropdown"
                              aria-haspopup="true" aria-expanded="false">
                              <i class="bx bx-dots-vertical-rounded"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="cardOpt6">
                              <a class="dropdown-item" href="add-subject.php">View More</a>
                            </div>
                          </div>
                        </div>
                        <span>Total Subjects</span>
                        <h3 class="card-title text-nowrap mb-1"><?php echo $subjectsCount; ?></h3>
                      </div>
                    </div>
                  </div>
                </div>
          </div>
          <!-- / Content -->

<?php include 'footer.php' ?>   