<?php
include_once('include/header.php');
include('admin/config.php');

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
	$name = $_POST['name'];
	$phone = $_POST['phone'];
	$email = $_POST['email'];
	$message = $_POST['message'];

	// Check if the email ending is valid (.com, .in, or .org)
	if (!preg_match('/\.(com|in|org)$/', $email)) {
		echo '<script>
            document.addEventListener("DOMContentLoaded", function() {
                Swal.fire({
                    title: "Error!",
                    text: "Please enter a valid email address.",
                    icon: "error",
                    confirmButtonText: "OK"
                });
            });
        </script>';
	} else {
		
			$sql = "INSERT INTO contact (name, phone, email, message) VALUES (?, ?, ?, ?)";
			$stmt = $db->prepare($sql);

			if ($stmt->execute([$name, $phone, $email, $message])) {
				echo '<script>
                    document.addEventListener("DOMContentLoaded", function() {
                        Swal.fire({
                            title: "Thank You!",
                            text: "We Have Received Your Query. We Will Be In Touch Soon!",
                            icon: "success",
                            confirmButtonText: "OK"
                        }).then((result) => {
                            if (result.isConfirmed) {
                                window.location.href = "index.php";
                            }
                        });
                    });
                </script>';
			} else {
				echo 'Error: Unable to submit the form.';
			}
		} 
	}

?>
<!-- main-area -->
<main class="main-area fix">

    <!-- breadcrumb-area -->
    <section class="breadcrumb__area breadcrumb__bg" data-background="assets/img/bg/breadcrumb_bg.jpg">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="breadcrumb__content">
                        <h3 class="title">Contact With Us</h3>
                        <nav class="breadcrumb">
                            <span property="itemListElement" typeof="ListItem">
                                <a href="index.php" class="text-decoration-none">Home</a>
                            </span>
                            <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
                            <span property="itemListElement" typeof="ListItem">Contact</span>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
        <div class="breadcrumb__shape-wrap">
            <img src="assets/img/others/breadcrumb_shape01.svg" alt="img" class="alltuchtopdown">
            <img src="assets/img/others/breadcrumb_shape02.svg" alt="img" data-aos="fade-right" data-aos-delay="300">
            <img src="assets/img/others/breadcrumb_shape03.svg" alt="img" data-aos="fade-up" data-aos-delay="400">
            <img src="assets/img/others/breadcrumb_shape04.svg" alt="img" data-aos="fade-down-left"
                data-aos-delay="400">
            <img src="assets/img/others/breadcrumb_shape05.svg" alt="img" data-aos="fade-left" data-aos-delay="400">
        </div>
    </section>
    <!-- breadcrumb-area-end -->

    <!-- contact-area -->
    <section class="contact-area section-py-120">
        <div class="container">
            <div class="row">
                <div class="col-lg-4">
                    <?php

                    $socialLinksSql = "SELECT * FROM socialinks LIMIT 1";
                    $socialLinksResult = mysqli_query($db, $socialLinksSql);
                    $socialLinksRow = mysqli_fetch_assoc($socialLinksResult);

                    $phoneLink = $socialLinksRow['phone'];
                    $emailLink = $socialLinksRow['email'];
                    $addressLink = $socialLinksRow['address'];
                    $ilink = $socialLinksRow['ilink'];
                    $flink = $socialLinksRow['flink'];
                    $ylink = $socialLinksRow['ylink'];
                    $iframe = $socialLinksRow["iframe"];
                    ?>
                    <div class="contact-info-wrap">
                        <ul class="list-wrap">
                            <li>
                                <div class="icon">
                                    <img src="assets/img/icons/map.svg" alt="img" class="injectable">
                                </div>
                                <div class="content">
                                    <h4 class="title">Address</h4>
                                    <p>
                                        <?php echo $addressLink; ?>
                                    </p>
                                </div>
                            </li>
                            <li>
                                <div class="icon">
                                    <img src="assets/img/icons/contact_phone.svg" alt="img" class="injectable">
                                </div>
                                <div class="content">
                                    <h4 class="title">Phone</h4>
                                    <a href="tel:<?php echo $phoneLink; ?>" class="text-decoration-none">
                                        <?php echo $phoneLink; ?>
                                    </a>

                                </div>
                            </li>
                            <li>
                                <div class="icon">
                                    <img src="assets/img/icons/emial.svg" alt="img" class="injectable">
                                </div>
                                <div class="content">
                                    <h4 class="title">E-mail Address</h4>
                                    <a href="mailto:<?php echo $emailLink; ?>" class="text-decoration-none">
                                        <?php echo $emailLink; ?>
                                    </a>

                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-8">
                    <div class="contact-form-wrap">
                        <h4 class="title">Send Us Message</h4>
                        <p>Your email address will not be published. Required fields are marked *</p>
                        <form id="contactForm" method="POST" action="">
                            <div class="form-grp">
                                <textarea name="message" placeholder="Comment" required
                                    oninput="validateInput(this)"></textarea>
                            </div>
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-grp">
                                        <input type="text" name="name" class="form-control" id="name" required
                                            placeholder="Your name*" oninput="validateInput(this)">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-grp">
                                        <input type="email" name="email" class="form-control" id="email" required
                                            placeholder="Your email*" oninput="validateInput(this)">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-grp">
                                        <input type="text" name="phone" class="form-control" id="phone" required
                                            placeholder="Enter Phone Number" oninput="validateInput(this)">
                                    </div>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-two arrow-btn">Submit Now <img
                                    src="assets/img/icons/right_arrow.svg" alt="img" class="injectable"></button>
                        </form>
                        <p class="ajax-response mb-0"></p>
                    </div>
                </div>
            </div>
            <!-- contact-map -->
            <div class="contact-map">
                <?php echo stripslashes($iframe); ?>
            </div>
            <!-- contact-map-end -->
        </div>
    </section>
    <!-- contact-area-end -->

</main>
<!-- main-area-end -->
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>

<script>
    function validateInput(inputElement) {
        const disallowedCharsRegex = /[?<>!;]/g;

        const inputValue = inputElement.value;

        const sanitizedValue = inputValue.replace(disallowedCharsRegex, '');

        inputElement.value = sanitizedValue;
    }
</script>

<?php include 'include/footer.php'; ?>