<?php include_once('include/header.php'); ?>
<?php
include 'admin/config.php';

// Get the requested URL
$current_url = $_SERVER['REQUEST_URI'];

$parts = explode('/', $current_url);
$productname = end($parts);
$productname = urldecode($productname);

$sql = "SELECT * FROM courses WHERE courses = ?";
$stmt = $db->prepare($sql);
$stmt->bind_param("s", $productname);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
    $row = $result->fetch_assoc();
    ?>
       <!-- main-area -->
<main class="main-area fix">

<!-- breadcrumb-area -->
<div class="breadcrumb__area breadcrumb__bg breadcrumb__bg-two" data-background="assets/img/bg/breadcrumb_bg.jpg">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="breadcrumb__content">
                    <nav class="breadcrumb">
                        <span property="itemListElement" typeof="ListItem">
                            <a href="index.php" class="text-decoration-none">Home</a>
                        </span>
                        <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
                        <span property="itemListElement" typeof="ListItem">
                            <a href="courses.php" class="text-decoration-none">Courses</a>
                        </span>
                        <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
                        <span property="itemListElement" typeof="ListItem"> <?php echo $row["awards"]; ?> In <?php echo $row["courses"]; ?></span>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <div class="breadcrumb__shape-wrap">
        <img src="assets/img/others/breadcrumb_shape01.svg" alt="img" class="alltuchtopdown">
        <img src="assets/img/others/breadcrumb_shape02.svg" alt="img" data-aos="fade-right" data-aos-delay="300">
        <img src="assets/img/others/breadcrumb_shape03.svg" alt="img" data-aos="fade-up" data-aos-delay="400">
        <img src="assets/img/others/breadcrumb_shape04.svg" alt="img" data-aos="fade-down-left"
            data-aos-delay="400">
        <img src="assets/img/others/breadcrumb_shape05.svg" alt="img" data-aos="fade-left" data-aos-delay="400">
    </div>
</div>
<!-- breadcrumb-area-end -->

<!-- courses-details-area -->
<section class="courses__details-area section-py-120">
    <div class="container">
        <div class="row">
            <div class="col-xl-9 col-lg-8">
                <div class="courses__details-thumb">
                    <img src="admin/assets/course/<?php echo $row["image"]; ?>" alt="img">
                </div>
                <div class="courses__details-content">

                    <h2 class="title"> <?php echo $row["courses"]; ?></h2>

                    <ul class="nav nav-tabs" id="myTab" role="tablist">
                        <li class="nav-item" role="presentation">
                            <button class="nav-link active" id="overview-tab" data-bs-toggle="tab"
                                data-bs-target="#overview-tab-pane" type="button" role="tab"
                                aria-controls="overview-tab-pane" aria-selected="true">Overview</button>
                        </li>
                        <li class="nav-item" role="presentation">
                            <button class="nav-link" id="curriculum-tab" data-bs-toggle="tab"
                                data-bs-target="#curriculum-tab-pane" type="button" role="tab"
                                aria-controls="curriculum-tab-pane" aria-selected="false">Curriculum</button>
                        </li>

                    </ul>
                    <div class="tab-content" id="myTabContent">
                        <div class="tab-pane fade show active" id="overview-tab-pane" role="tabpanel"
                            aria-labelledby="overview-tab" tabindex="0">
                            <div class="courses__overview-wrap">
                            <?php echo isset($row["description"]) ? $row["description"] : 'Course Details Not Found'; ?>
                            </div>

                        </div>
                        <div class="tab-pane fade" id="curriculum-tab-pane" role="tabpanel"
                            aria-labelledby="curriculum-tab" tabindex="0">
                            <div class="courses__curriculum-wrap">
                            <?php echo $row["subdescription"]; ?>
                            </div>

                        </div>

                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-lg-4">
                <div class="courses__details-sidebar">
                    <div class="courses__cost-wrap">
                        <span>This Course Fee:</span>
                        <h2 class="title">₹<?php echo !empty($row["cprice"]) ? $row["cprice"] : 0; ?> <del>₹<?php echo !empty($row["cmrp"]) ? $row["cmrp"] : 0; ?></del></h2>
                    </div>
                    <div class="courses__information-wrap">
                        <h5 class="title">Course includes:</h5>
                        <ul class="list-wrap">
                            
                            <li>
                                <img src="assets/img/icons/course_icon02.svg" alt="img" class="injectable">
                                Duration
                                <span><?php echo $row["courseduration"]; ?> Months</span>
                            </li>
                            
                            <li>
                                <img src="assets/img/icons/course_icon04.svg" alt="img" class="injectable">
                                Minimum Fees
                                <span>₹<?php echo !empty($row["minimumfees"]) ? $row["minimumfees"] : 0; ?></span>
                            </li>
                            <li>
                                <img src="assets/img/icons/course_icon05.svg" alt="img" class="injectable">
                                Awards
                                <span><?php echo $row["awards"]; ?></span>
                            </li>
                            
                        </ul>
                    </div>
                    
                   
                    <div class="courses__details-enroll">
                        <div class="tg-button-wrap">
                            <a href="#" class="btn btn-two arrow-btn" data-toggle="modal"
                                            data-target="#enrollModal">
                                Enroll Now
                                <img src="assets/img/icons/right_arrow.svg" alt="img" class="injectable">
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- courses-details-area-end -->

</main>
<!-- main-area-end -->
<?php
} else {
    ?>
    <!-- Breadcrumb start -->
    <div class="breadcrumb__area breadcrumb__bg breadcrumb__bg-two" data-background="assets/img/bg/breadcrumb_bg.jpg">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="breadcrumb__content">
                    <nav class="breadcrumb">
                        <span property="itemListElement" typeof="ListItem">
                            <a href="index.php" class="text-decoration-none">Home</a>
                        </span>
                        <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
                        <span property="itemListElement" typeof="ListItem">
                            <a href="courses.php" class="text-decoration-none">Courses</a>
                        </span>
                        <span class="breadcrumb-separator"><i class="fas fa-angle-right"></i></span>
                        <span property="itemListElement" typeof="ListItem"> <?php echo $productname ?></span>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <div class="breadcrumb__shape-wrap">
        <img src="assets/img/others/breadcrumb_shape01.svg" alt="img" class="alltuchtopdown">
        <img src="assets/img/others/breadcrumb_shape02.svg" alt="img" data-aos="fade-right" data-aos-delay="300">
        <img src="assets/img/others/breadcrumb_shape03.svg" alt="img" data-aos="fade-up" data-aos-delay="400">
        <img src="assets/img/others/breadcrumb_shape04.svg" alt="img" data-aos="fade-down-left"
            data-aos-delay="400">
        <img src="assets/img/others/breadcrumb_shape05.svg" alt="img" data-aos="fade-left" data-aos-delay="400">
    </div>
</div>
    <!-- Breadcrumb end -->

    <!-- Mentor-details-area start -->
    <section class="mentor-details pt-70 pb-100">
        <div class="container">
            <div class="row">

                <div class="col-lg-12 d-flex align-items-center justify-content-center">
                    Course Details Not Found
                </div>
            </div>
        </div>
    </section>
    <!-- Mentor-details-area end -->
    <?php
}

$stmt->close();
?>


<?php include 'enrollnowmodal.php'; ?>

<?php include_once('include/footer.php'); ?>