<?php
include 'admin/config.php';
// Fetch the cimage file name from the database
$stmt = $db->prepare("SELECT mimage FROM design");
$stmt->execute();
$stmt->bind_result($cimageFileName);
$stmt->fetch();
$stmt->close();

$imagePath = "admin/assets/certificatedesign/" . $cimageFileName;
$idResult = $_GET['idresult'];

$studentQuery = "SELECT * FROM students WHERE regno = ?";
$studentStmt = $db->prepare($studentQuery);
$studentStmt->bind_param("s", $idResult);
$studentStmt->execute();
$studentStmt->bind_result($id, $regno, $name, $mobile, $altmobile, $gender, $address, $aadhar, $email, $image, $highqualification, $course, $duration, $awards, $minfees, $feesreceived, $balance, $father, $careof, $mother, $dob, $status, $dog, $abbr, $state, $city, $postcode, $coursesubject, $tmarks, $marksob, $caste, $occupation, $signature,$wpm, $dt, $ddate);
$studentStmt->fetch();

$studentStmt->close();


$resultQuery = "SELECT * FROM result WHERE studentname = ?";
$resultStmt = $db->prepare($resultQuery);
$resultStmt->bind_param("s", $idResult);
$resultStmt->execute();
$resultStmt->bind_result($id, $studentname, $dt);

$resultStmt->fetch();

$resultStmt->close();

?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Student Verification</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <style>
        /* Add your CSS styles here */
        body {
            text-align: center;
            text-transform:uppercase;
        }

        .certificate-container {
            position: relative;
            width: 100%;
            max-width: 800px;
            margin: 0 auto;
        }
#downloadButton{
    background-color: aqua;
    color: white;
    border-radius: 10px;
}
        #qrcode-container {
           position: absolute;
 bottom: 7.2%;
    display: inline-block !important;
    left: 50%;
    transform: translate(-40%, -120%);
    text-transform: uppercase;

        }

        #qrcode-container img {
           position: absolute;
 bottom: 7.2%;
    display: inline-block !important;
    left: 50%;
    transform: translate(-40%, -120%);
    text-transform: uppercase;

        }

        img.certificate {
            width: 100%;
            height: auto;
            display: block;
        }

        .name {
            position: absolute;
            top: 26.8%;
            left: 36%;
            transform: translate(-40%, -100%);
            text-transform: uppercase;

        }

        .father {
            position: absolute;
            top: 28.2%;
            left: 34.3%;
            transform: translate(-12%, -100%);
            text-transform: uppercase;

        }

        .mother {
            position: absolute;
            top: 31.6%;
            left: 34.6%;
            transform: translate(-16%, -100%);
            text-transform: uppercase;

        }

        .course {
            position: absolute;
            top: 33.8%;
            left: 12%;
            transform: translate(-10%, -128%);
            text-transform: uppercase;
            width: 100%;
        }

        .sitename {
            position: absolute;
            top: 35.5%;
            left: 44.3%;
            transform: translate(-40%, -60%);
            text-transform: uppercase;

        }

        .duration {
            position: absolute;
            top: 25.9%;
            left: 75%;
            transform: translate(-40%, -60%);
            text-transform: uppercase;

        }

        .id {
            position: absolute;
            top: 27.5%;
            left: 77.3%;
            transform: translate(-40%, -60%);
            text-transform: uppercase;
        }

        .dob {
            position: absolute;
            top: 28.8%;
            left: 75%;
            transform: translate(-40%, -45%);
            text-transform: uppercase;
        }

        .course-period {
position: absolute;
    top: 30.6%;
    left: 75%;
    transform: translate(-16%, -45%);
    text-transform: uppercase;
    font-size: 10px;       
    }

        /*tabledesign start*/
        .table1 {
            text-align: center;
            position: absolute;
            top: 60.5%;
            left: 41%;
            transform: translate(-40%, -60%);
            text-transform: uppercase;
        }

        .tdesc {
            text-align: center;
            position: absolute;
            top: 72.5%;
            left: 41%;
            transform: translate(-40%, -60%);
            text-transform: uppercase;

        }

        thead {
            border: 2px solid black;
            font-size: 12px;
        }

        thead tr {
            border-bottom: 1px solid black;
        }

        tbody tr {
            border-bottom: 1px solid black;
        }

        td,
        th {
            padding: 8px;
        }

        td:nth-child(-n+4),
        th:nth-child(-n+4) {
            border-right: 1px solid black;
        }

        td:last-child {
            border-right: none;
        }

        .toprow-performance {
            font-size: 12px;
        }

        .marks-range {
            font-size: 10px;
        }

        .graderow {
            font-size: 10px;
        }

        .tfont {
            font-size: 10px;
        }

        /*tabledesign end*/
    </style>
</head>

<body>
    <div class="certificate-container d-none">
        <!-- Container for the QR code -->
        <div id="qrcode-container"></div>

        <img src="<?php echo $imagePath; ?>" alt="Certificate" class="certificate">
        <p class="name"><?php echo $name; ?>
        </p>
        <p class="father"><?php echo $father; ?>
        </p>
        <p class="mother"><?php echo $mother; ?>
        </p>
        <p class="course">
            <?php echo $awards ?> In
            <?php echo $course ?>
        </p>
        <?php
        $logoSql = "SELECT * FROM logo";
        $logoResult = mysqli_query($db, $logoSql);
        $logoRow = mysqli_fetch_assoc($logoResult);

        ?>
        <p class="sitename">
            <?php echo $logoRow['sitename'] ?>
        </p>
        <p class="duration">
            <?php echo $duration; ?> Months
        </p>
        <p class="id">
           <?php echo $regno; ?>
        </p>
        <p class="dob">
            <?php echo $dob; ?>
        </p>
        <p class="course-period">
           <?php
            $ddate ;

            $duration ;

            $startDate = new DateTime($ddate);

            $endDate = clone $startDate;
            $endDate->modify("-{$duration} months");
// Format the dates
$formattedEndDate = $endDate->format("j F Y");
$formattedStartDate = $startDate->format("j F Y");

// Display the formatted dates
echo $formattedEndDate . " To " . $formattedStartDate;

            ?>
        </p>
        <?php
        if ($occupation == 1) {
            echo '<table border="2" width="75%" class="table1">
    <thead>
        <tr>
            <th>Subject</th>
            <th>Speed W.P.M</th>
            <th>Minimum Marks</th>
            <th>Maximum Marks</th>
            <th>Accuracy</th>
        </tr>
    </thead>
    <tbody>';

            $subjects = explode(',', $coursesubject);
            $wdpm = explode(',', $signature);
            $totalMarks = explode(',', $tmarks);
            $marksObtained = explode(',', $marksob);

            $numberOfSubjects = count($subjects);
            $totalObtainedMarks = 0;
            $totalPossibleMarks = 0;

            function fetchMarksForSubject($subject, $db)
            {
                $subject = mysqli_real_escape_string($db, $subject);

                $sql = "SELECT marks FROM subjects WHERE subjectname = '$subject'";
                $result = mysqli_query($db, $sql);

                if ($result) {
                    $row = mysqli_fetch_assoc($result);

                    return ($row !== null) ? $row['marks'] : null;
                } else {
                    return null;
                }
            }

            $totalPossibleMarks = 0;

            for ($i = 0; $i < $numberOfSubjects; $i++) {
                $subject = trim($subjects[$i]);
                $subjectMarks = fetchMarksForSubject($subject, $db);

                $subjectMarks = ($subjectMarks !== null) ? $subjectMarks : 100;

                $totalPossibleMarks += is_numeric($subjectMarks) ? $subjectMarks : 0;
            }
            // Create an array to store unique subjects and their maximum marks
            $uniqueSubjects = [];

            for ($i = 0; $i < $numberOfSubjects; $i++) {
                $subject = trim($subjects[$i]);

                // Check if subject is already processed
                if (!isset($uniqueSubjects[$subject])) {
                    // Fetch and display maximum marks for the current subject
                    $maximumMarks = fetchMarksForSubject($subject, $db);
                    $uniqueSubjects[$subject] = $maximumMarks;

                    echo '<tr>';
                    echo '<td>' . $subject . '</td>';
                    echo '<td>' . (isset($wdpm[$i]) ? $wdpm[$i] : '') . '</td>';
                    echo '<td>' . (isset($totalMarks[$i]) ? $totalMarks[$i] : '') . '</td>';
                    echo '<td class="text-end">' . (isset($maximumMarks) ? $maximumMarks : '') . '</td>';
                    echo '<td class="text-end">' . (isset($marksObtained[$i]) ? $marksObtained[$i] : '') . '</td>';
                    $totalObtainedMarks += isset($marksObtained[$i]) ? intval($marksObtained[$i]) : 0;
                    echo '</tr>';
                }
            }

            // Calculate the percentage
            $overallPercentage = ($totalObtainedMarks / $totalPossibleMarks) * 100;

            echo '<tr>
    <td class="text-end" colspan="4"><strong>Total Out Of :
        ' . $totalPossibleMarks . '
    </strong></td>
    <td class="text-end"><strong class="tfont">
        ' . $totalObtainedMarks . ' (
        ' . round($overallPercentage, 2) . '%)
    </strong></td>
</tr>
</tbody>
</table>';

        } else {
            echo '<table border="2" width="75%" class="table1">
        <thead>
            <tr>
                <th>Subject</th>
                <th>Practical Marks</th>
                <th>Objective Marks</th>
                <th>Total Marks</th>
            </tr>
        </thead>
        <tbody>';

            $subjects = explode(',', $coursesubject);
            $totalMarks = explode(',', $tmarks);
            $marksObtained = explode(',', $marksob);

            $numberOfSubjects = count($subjects);
            $totalObtainedMarks = 0;
            $totalPossibleMarks = 0;

            function fetchMarksForSubject($subject, $db)
            {
                $subject = mysqli_real_escape_string($db, $subject);

                $sql = "SELECT marks FROM subjects WHERE subjectname = '$subject'";
                $result = mysqli_query($db, $sql);

                if ($result) {
                    $row = mysqli_fetch_assoc($result);

                    return ($row !== null) ? $row['marks'] : null;
                } else {
                    return null;
                }
            }

            $totalPossibleMarks = 0;

            for ($i = 0; $i < $numberOfSubjects; $i++) {
                $subject = trim($subjects[$i]);
                $subjectMarks = fetchMarksForSubject($subject, $db);

                $subjectMarks = ($subjectMarks !== null) ? $subjectMarks : 100;

                $totalPossibleMarks += is_numeric($subjectMarks) ? $subjectMarks : 0;
            }

            for ($i = 0; $i < $numberOfSubjects; $i++) {
                echo '<tr>';
                echo '<td>' . (isset($subjects[$i]) ? $subjects[$i] : '') . '</td>';
                echo '<td>' . (isset($totalMarks[$i]) ? $totalMarks[$i] : '') . '</td>';
                echo '<td class="text-end">' . (isset($marksObtained[$i]) ? $marksObtained[$i] : '') . '</td>';
                $totalMarksValue = isset($totalMarks[$i]) ? intval($totalMarks[$i]) : 0;
                $marksObtainedValue = isset($marksObtained[$i]) ? intval($marksObtained[$i]) : 0;
                $totalValue = $totalMarksValue + $marksObtainedValue;
                echo '<td class="text-end">' . $totalValue . '</td>';

                $totalObtainedMarks += $totalValue;
                echo '</tr>';
            }

            // Calculate the percentage
            $overallPercentage = ($totalObtainedMarks / $totalPossibleMarks) * 100;

            echo '<tr>
            <td class="text-end" colspan="3"><strong>Total Out Of :
                ' . $totalPossibleMarks . '
            </strong></td>
            <td class="text-end"><strong class="tfont">
                ' . $totalObtainedMarks . ' (
                ' . round($overallPercentage, 2) . '%)
            </strong></td>
        </tr>
    </tbody>
</table>';
        }
        ?>

        <table border="2" width="75%" class="tdesc">
            <tr>

                <td>

                    <div class="col-md-12">
                        <div class="row">

                            <div class="col-md-3 toprow-performance">
                                Performance:
                            </div>
                            <div class="col-md-2 toprow-performance">
                                Excellent
                            </div>
                            <div class="col-md-3 toprow-performance">
                                Very Good
                            </div>
                            <div class="col-md-2 toprow-performance">
                                Good
                            </div>
                            <div class="col-md-2 toprow-performance">
                                Average
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="row">

                            <div class="col-md-3 marks-range">
                                Mark Range:
                            </div>
                            <div class="col-md-2 marks-range">
                                (85% - 100%)
                            </div>
                            <div class="col-md-3 marks-range">
                                (70% - 84%)
                            </div>
                            <div class="col-md-2 marks-range">
                                (55% - 69%)
                            </div>
                            <div class="col-md-2 marks-range">
                                (40% - 54 %)
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="row">

                            <div class="col-md-3 graderow">
                                Grade:
                            </div>
                            <div class="col-md-2 graderow">
                                (A+)
                            </div>
                            <div class="col-md-3 graderow">
                                (A)
                            </div>
                            <div class="col-md-2 graderow">
                                (B)
                            </div>
                            <div class="col-md-2 graderow">
                                (C)
                            </div>
                        </div>
                    </div>
                </td>
            </tr>
        </table>

    </div>
    <div class="container std-info">
        <div class="card mt-2" style="width: 25rem;">

            <div class="card-body">
                <div class="row">

                    <div class="col-md-6">
                        <img src="admin/assets/students/<?php echo $image; ?>" alt="<?php echo $name; ?>" width="100px"
                            height="80px">
                    </div>
                    <div class="col-md-6">
                        <p>Student Verification</p>
                        <button class="btn-success disabled w-100">Verified</button>
                        <button id="downloadButton" class="btn-success disabled w-100 my-2">Download Marksheet</button>
                    </div>
                    <div class="col-md-12">
                        <p class="text-danger">Name Of Student</p>
                        <p>
                            <?php echo $name; ?>
                        </p>
                    </div>
                </div>
            </div>
        </div>
        <div class="card my-3" style="width: 25rem;">

            <div class="card-body">
                <div class="row">
                    <p class="bg-dark text-white">Course Name</p>
                    <?php echo $course ?>

                    <p class="bg-dark text-white">Certificate Details</p>
                    <p>
                        Certficate Number :
                        <?php echo $id; ?>DT/
                        <?php echo $studentname; ?>
                    </p>
                    <p>
                        Course Duration :
                        <?php echo $duration; ?>
                    </p>
                    <p>
                        Certficate Issue :
                        <?php echo date('Y-m-d', strtotime($dt)); ?>
                    </p>
                    <?php
                    $regno;

                    $sql = "SELECT students.dt as student_dt, result.dt as result_dt
        FROM students
        INNER JOIN result ON students.regno = result.studentname
        WHERE students.regno = ?";

                    $stmt = $db->prepare($sql);

                    if ($stmt) {
                        $stmt->bind_param("s", $regno);
                        $stmt->execute();
                        $stmt->bind_result($student_dt, $result_dt);

                        if ($stmt->fetch()) {

                            $combined_dt = date('Y-m-d', strtotime($student_dt)) . ' to ' . date('Y-m-d', strtotime($result_dt));


                            echo '<p>Certificate Period : ' . $combined_dt . '</p>';
                        } else {
                            echo "No matching records found.";
                        }

                        $stmt->close();
                    } else {
                        echo "Error in the statement: " . $db->error;
                    }
                    ?>
                    <p>Marks Obtained :
                        <?php echo round($overallPercentage, 2); ?>%
                    </p>
                    <p>Grade Secured :
                        <?php
                        if ($overallPercentage >= 85 && $overallPercentage <= 100) {
                            echo 'A+';
                        } elseif ($overallPercentage >= 70 && $overallPercentage < 85) {
                            echo 'A';
                        } elseif ($overallPercentage >= 55 && $overallPercentage < 70) {
                            echo 'B';
                        } elseif ($overallPercentage >= 40 && $overallPercentage < 55) {
                            echo 'C';
                        } else {
                            echo 'E';
                        }
                        ?>
                    </p>
                </div>
            </div>
        </div>
        <div class="card" style="width: 25rem;">

            <div class="card-body">
                <div class="row">
                    <?php
                    $logoSql = "SELECT * FROM logo";
                    $logoResult = mysqli_query($db, $logoSql);
                    $logoRow = mysqli_fetch_assoc($logoResult);
                    $logoImagePath = !empty($logoRow['image']) ? "admin/assets/logo/{$logoRow['image']}" : '';
                    ?>
                    <div class="col-md-6">
                        <p class="bg-dark text-white">Insitute Details</p>
                    </div>
                    <div class="col-md-6 text-end">
                        <img src="<?php echo $logoImagePath; ?>" alt="LOGO" width="70px">
                    </div>

                    <p>
                        Insitute Name :
                        <?php echo $logoRow['sitename'] ?>
                    </p>
                    <?php
                    $socialLinksSql = "SELECT * FROM socialinks LIMIT 1";
                    $socialLinksResult = mysqli_query($db, $socialLinksSql);
                    $socialLinksRow = mysqli_fetch_assoc($socialLinksResult);

                    $phoneLink = $socialLinksRow['phone'] ?? null;
                    $emailLink = $socialLinksRow['email'] ?? null;
                    $addressLink = $socialLinksRow['address'] ?? null;
                    $city = $socialLinksRow['city'] ?? null;
                    ?>
                    <p>
                        Insitute Email :
                        <?php echo $emailLink ?>
                    </p>
                    <p>
                        Insitute Contact :
                        <?php echo $phoneLink ?>
                    </p>
                    <p>
                        Insitute Address :
                        <?php echo $addressLink ?>
                    </p>
                    <p> ATC Verification <span class="btn-success p-1">Verified</span></p>
                </div>
            </div>
        </div>
    </div>
</body>
<script src="admin/assets/qrcodejs-master/qrcode.min.js"></script>
<script>
    var url = "https://mrcomputercenter.in/generate-result.php?idresult=<?php echo $studentname; ?>";

    var qrcode = new QRCode(document.getElementById("qrcode-container"), {
        text: url,
        width: 70,
        height: 70,
    });
</script>
<script>
    document.getElementById('downloadButton').addEventListener('click', function () {
        document.querySelector('.certificate-container').classList.remove('d-none');
        document.querySelector('.std-info').classList.add('d-none');
        window.print();
    });
</script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
    crossorigin="anonymous"></script>

</html>