<?php
include_once('include/header.php');
$query = "SELECT image FROM slider";
$result = mysqli_query($db, $query);

$imageNames = array();

if ($result && mysqli_num_rows($result) > 0) {
    while ($row = mysqli_fetch_assoc($result)) {
        $imageNames[] = $row['image'];
    }
}
?>
<!-- main-area -->
<main class="main-area fix">

    <!-- banner-area -->
    <section class="banner-area-two tg-motion-effects"
        data-background="assets/img/banner/banner_bg02.png">
        <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
            <div class="carousel-indicators">
                <?php for ($i = 0; $i < count($imageNames); $i++) { ?>
                    <button type="button" data-bs-target="#carouselExampleIndicators" data-bs-slide-to="<?php echo $i; ?>"
                        <?php echo ($i === 0) ? 'class="active"' : ''; ?> aria-label="Slide <?php echo $i + 1; ?>"></button>
                <?php } ?>
            </div>
            <div class="carousel-inner">
                <?php foreach ($imageNames as $index => $image) { ?>
                    <div class="carousel-item <?php echo ($index === 0) ? 'active' : ''; ?>">
                        <img src="admin/assets/slider/<?php echo $image; ?>" class="d-block w-100" alt="...">
                    </div>
                <?php } ?>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
        </div>
    </section>
    <!-- banner-area-end -->
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <?php
                include 'admin/config.php';

                $advSql = "SELECT * FROM advertisement LIMIT 1";
                $advResult = mysqli_query($db, $advSql);
                $advRow = mysqli_fetch_assoc($advResult);

                ?>
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">
                        <?php echo $advRow['title'] ?>
                    </h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">

                    <a href="<?php echo $advRow['link'] ?>">
                        <img src="admin/assets/advertisement/<?php echo $advRow['description'] ?>" width="467px" />
                    </a>
                </div>
            </div>
        </div>
    </div>
    <!-- features-area -->
    <section class="features__area-two section-pt-120 section-pb-90">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xl-6 col-lg-8">
                    <div class="section__title text-center mb-40">
                        <span class="sub-title">Our Top Features</span>
                        <h2 class="title">Achieve Your Goal With <?php echo $logoRow['sitename'] ?></h2>
                       
                    </div>
                </div>
            </div>
            <div class="features__item-wrap">
                <div class="row justify-content-center">
                    <div class="col-lg-4 col-md-6">
                        <div class="features__item-two">
                            <div class="features__content-two">
                                <div class="content-top">
                                    <div class="features__icon-two">
                                        <img src="assets/img/icons/h2_features_icon01.svg" alt="img" class="injectable">
                                    </div>
                                    <h2 class="title">Expert Tutors</h2>
                                </div>
                                
                            </div>
                            <div class="features__item-shape">
                                <img src="assets/img/others/features_item_shape.svg" alt="img" class="injectable">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="features__item-two">
                            <div class="features__content-two">
                                <div class="content-top">
                                    <div class="features__icon-two">
                                        <img src="assets/img/icons/h2_features_icon02.svg" alt="img" class="injectable">
                                    </div>
                                    <h2 class="title">Effective Courses</h2>
                                </div>
                               
                            </div>
                            <div class="features__item-shape">
                                <img src="assets/img/others/features_item_shape.svg" alt="img" class="injectable">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-6">
                        <div class="features__item-two">
                            <div class="features__content-two">
                                <div class="content-top">
                                    <div class="features__icon-two">
                                        <img src="assets/img/icons/h2_features_icon03.svg" alt="img" class="injectable">
                                    </div>
                                    <h2 class="title">Earn Certificate</h2>
                                </div>
                               
                            </div>
                            <div class="features__item-shape">
                                <img src="assets/img/others/features_item_shape.svg" alt="img" class="injectable">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- features-area-end -->

    <!-- about-area -->
    <section class="about-area-two tg-motion-effects section-pb-120">
        <div class="container">
            <div class="row align-items-center justify-content-center">
                <?php

                $stmt = $db->prepare("SELECT image, title, description FROM home");
                $stmt->execute();
                $stmt->bind_result($homeImage, $homeTitle, $homeDescription);
                $stmt->fetch();
                $stmt->close();
                ?>
                <div class="col-lg-6">
                    <div class="faq__img-wrap tg-svg">
                        <div class="faq__round-text">
                            <div class="curved-circle">
                                About Us
                            </div>
                        </div>
                        <img src="admin/assets/homecontent/<?php echo $homeImage; ?>" alt="img">
                       
                    </div>
                </div>
               <div class="col-lg-6">
                        <div class="about__content">
                            <div class="section__title">
                                <span class="sub-title">About Us</span>
                                <h2 class="title">
                                    <?php echo $homeTitle; ?>
                                </h2>
                            </div>
                            <p class="desc"><?php echo $homeDescription; ?></p>

                        </div>
                       

                    </div>
                </div>
            </div>
    </section>
    <!-- about-area-end -->
 
    <!-- course-area -->
    <section class="courses-area section-py-120" data-background="assets/img/bg/courses_bg.jpg">
        <div class="container">
            <div class="section__title-wrap">
                <div class="row justify-content-center">
                    <div class="col-xl-6 col-lg-8">
                        <div class="section__title text-center mb-40">
                            <span class="sub-title">Our Courses</span>
                            <h2 class="title">Explore Our World's Best Courses</h2>

                        </div>

                    </div>
                </div>
            </div>
            <div class="tab-content" id="courseTabContent">
                    <div class="tab-pane fade show active" id="all-tab-pane" role="tabpanel" aria-labelledby="all-tab" tabindex="0">
                        <div class="swiper courses-swiper-active">
                            <div class="swiper-wrapper">

                            <?php
                            include("admin/config.php");

                            $sql = "SELECT * FROM courses";
                            $result = $db->query($sql);

                            if ($result->num_rows > 0) {
                                while ($row = $result->fetch_assoc()) {
                                    $imagePath = 'admin/assets/course/' . $row['image'];
                                    $cname = $row["courses"];
                                    $encodedSubmenu = urlencode($cname);
                                    echo '<div class="swiper-slide">
                                    <div class="courses__item shine__animate-item">
                                        <div class="courses__item-thumb">
                                            <a href="course-detail.php/' . $encodedSubmenu . '" class="shine__animate-link">
                                                <img src="' . $imagePath . '" alt="img">
                                            </a>
                                        </div>
                                        <div class="courses__item-content">
                                            <ul class="courses__item-meta list-wrap">
                                                <li class="courses__item-tag">
                                                ' . $row["courseduration"] . ' Months
                                                </li>
                                                <li class="avg-rating">Minimum Fees : ₹' . $row["minimumfees"] . '</li>
                                            </ul>
                                            <h5 class="title"><a href="course-detail.php/' . $encodedSubmenu . '" class="text-decoration-none">' . $row["awards"] . ' In ' . $row["courses"] . '</a></h5>
                                            <div class="courses__item-bottom">
                                                <div class="button">
                                                    <a href="course-detail.php/' . $encodedSubmenu . '" class="text-decoration-none">
                                                        <span class="text">Enroll Now</span>
                                                        <i class="flaticon-arrow-right"></i>
                                                    </a>
                                                </div>
                                                <h6 class="price"><del>₹' . $row["cmrp"] . '</del>₹' . $row["cprice"] . '</h6>
                                            </div>
                                        </div>
                                    </div>
                                </div>';
                                }
                            } else {
                                echo "No Courses found.";
                            }

                            ?>

                        </div>
                        </div>
                        <div class="courses__nav">
                            <div class="courses-button-prev"><i class="flaticon-arrow-right"></i></div>
                            <div class="courses-button-next"><i class="flaticon-arrow-right"></i></div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    <!-- course-area-end -->

    <!-- Toppers-area-Start -->
    <section class="instructor__area-three instructor__bg">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-7 col-md-10 text-center">
                    <div class="sec-heading center mb-4">
                        <h2>Our <span class="theme-cl">Toppers</span></h2>
                        <p>Meet the brilliant minds who have excelled in their studies and made us proud.</p>

                    </div>
                </div>
            </div>
            <div class="row">
            <?php
					include("admin/config.php");

					$sql = "SELECT * FROM toppers";
					$result = $db->query($sql);

					if ($result->num_rows > 0) {
						while ($row = $result->fetch_assoc()) {
							$imagePath = 'admin/assets/toppers/' . $row['image'];
							$imageSrc = (!empty($row['image']) && file_exists($imagePath)) ? $imagePath : 'assets/img/user.png';
							echo '<div class="col-xl-4 col-sm-6">
                    <div class="instructor__item">
                        <div class="instructor__thumb">
                            <img src="' . $imageSrc . '"
                                    alt="' . $row["name"] . '">
                        </div>
                        <div class="instructor__content">
                            <h2 class="title">' . $row["name"] . '</h2>
                            <span class="designation">' . $row["designation"] . '</span>
                            
                        </div>
                    </div>
                </div>';
            }
        } else {
            echo "No Toppers found.";
        }

        ?>

            </div>
        </div>
    </section>
    <!-- Toppers-area-end -->
    <!-- instructor-area-Start -->
    <section class="instructor__area-three instructor__bg">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-7 col-md-10 text-center">
                    <div class="sec-heading center mb-4">
                        <h2>Our <span class="theme-cl">Instructors</span></h2>
                        <p>Meet our dedicated team of instructors who are passionate about sharing their knowledge and
                            expertise. At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis
                            praesentium
                            voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati
                            cupiditate non provident.</p>

                    </div>
                </div>
            </div>
            <div class="row">
            <?php
					include("admin/config.php");

					$sql = "SELECT * FROM team";
					$result = $db->query($sql);

					if ($result->num_rows > 0) {
						while ($row = $result->fetch_assoc()) {
							$imagePath = 'admin/assets/teams/' . $row['image'];
							$imageSrc = (!empty($row['image']) && file_exists($imagePath)) ? $imagePath : 'assets/img/user.png';
							echo '<div class="col-xl-4 col-sm-6">
                    <div class="instructor__item">
                        <div class="instructor__thumb">
                            <img src="' . $imageSrc . '"
                                    alt="' . $row["name"] . '">
                        </div>
                        <div class="instructor__content">
                            <h2 class="title">' . $row["name"] . '</h2>
                            <span class="designation">' . $row["designation"] . '</span>
                            
                        </div>
                    </div>
                </div>';
            }
        } else {
            echo "No Instructors found.";
        }

        ?>

            </div>
        </div>
    </section>
    <!-- instructor-area-end -->

    <!-- student-area -->
    <section class="instructor__area-three instructor__bg" data-background="assets/img/bg/instructor_bg.jpg">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xl-6 col-lg-8">
                    <div class="section__title text-center mb-40">
                        <span class="sub-title">Our Students Reviews</span>
                        <h2 class="title">Discover what our students are saying about their experience with us.</h2>
                    </div>
                </div>
            </div>
            <div class="row justify-content-center">
                <div class="col-xl-8">
                    <div class="swiper-container instructor-active">
                        <div class="swiper-wrapper">
                            <?php
                            include("admin/config.php");

                            $sql = "SELECT * FROM testimonial";
                            $result = $db->query($sql);

                            if ($result->num_rows > 0) {
                                while ($row = $result->fetch_assoc()) {
                                    $imagePath = 'admin/assets/testimonialimages/' . $row['image'];
                                    $imageSrc = (!empty($row['image']) && file_exists($imagePath)) ? $imagePath : 'assets/img/user.png';
                                    echo '<div class="swiper-slide">
                                    <div class="instructor__item-three">
                                        <div class="instructor__thumb-three">
                                            <img src="' . $imageSrc . '" alt="' . $row["name"] . '">
                                            <div class="shape-one">
                                                <img src="assets/img/instructor/h2_instructor_img_shape01.svg" alt="img" class="injectable">
                                            </div>
                                        </div>
                                        <div class="instructor__content-three">
                                           
                                            <h2 class="title">' . $row["name"] . '</h2>
                                            <span class="designation">' . $row["designation"] . '</span>
                                            <p>' . $row["content"] . '</p>
                                            
                                        </div>
                                    </div>
                                </div>';
                                }
                            } else {
                                echo "No Reviews found.";
                            }

                            ?>

                        </div>
                    </div>
                </div>
            </div>
            <div class="row justify-content-center">
                <div class="col-xl-9">
                    <div class="instructor-slider-dot">
                        <div class="swiper instructor-nav">
                            <div class="swiper-wrapper">
                                <?php
                                include("admin/config.php");

                                $sql = "SELECT * FROM testimonial";
                                $result = $db->query($sql);

                                if ($result->num_rows > 0) {
                                    while ($row = $result->fetch_assoc()) {
                                        $imagePath = 'admin/assets/testimonialimages/' . $row['image'];
                                        $imageSrc = (!empty($row['image']) && file_exists($imagePath)) ? $imagePath : 'assets/img/user.png';
                                        echo '<div class="swiper-slide">
                                        <button><img src="' . $imageSrc . '" alt="img"></button>
                                    </div>';
                                    }
                                } else {
                                    echo "No Reviews found.";
                                }

                                ?>
                            </div>
                        </div>
                        <div class="instructor__nav-two">
                            <div class="instructor-button-prev"><i class="flaticon-arrow-right"></i></div>
                            <div class="instructor-button-next"><i class="flaticon-arrow-right"></i></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="instructor__shape">
            <img src="assets/img/instructor/h2_instructor_shape.png" alt="img" class="alltuchtopdown">
        </div>
    </section>
    <!-- student-area-end -->



</main>
<!-- main-area-end -->

<?php include 'include/footer.php'; ?>